> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getoutbox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Staff Member

> Change an existing staff member's role/permission level on the authenticated company.



## OpenAPI

````yaml PATCH /settings/company/staff/
openapi: 3.1.0
info:
  title: Outbox AI API
  description: API for managing AI agents (chatbots and voicebots) on the Outbox platform
  version: 1.0.0
servers:
  - url: https://api.getoutbox.ai
security: []
paths:
  /settings/company/staff/:
    patch:
      tags:
        - settings
      summary: Update Staff Member Role
      description: >-
        Change an existing staff member's role/permission level on the
        authenticated company.
      operationId: settings_company_staff_partial_update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedCompanyStaffUpdateRequestRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedCompanyStaffUpdateRequestRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedCompanyStaffUpdateRequestRequest'
      responses:
        '200':
          description: Role updated.
      security:
        - jwtAuth: []
        - {}
components:
  schemas:
    PatchedCompanyStaffUpdateRequestRequest:
      type: object
      properties:
        staff_id:
          type: string
          format: uuid
        role:
          type: integer
          minimum: 1
          maximum: 4
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````